<?php

define("EVERLIGHTBOX_ICO_VERSION", "1.0.0");


class Everlightbox_Icon_Sets {

	protected $options = null;

	protected $icons = null;

	public function __construct( ) {

		$this->icons = array(
			'default' 	=> 'Default',
			'round'		=> 'Round icons',
			'line'	 	=> 'Line icons'
		);

		add_filter( 'everlightbox_additional_fields', array($this, 'add_field') );
		add_filter( 'everlightbox_icon_path', array($this, 'icon_path') );
		$this->options = get_option('everlightbox_options');
	}

	public function icon_path($path) {

		if ( isset( $this->options[ 'icon_set' ] ) ) {

			if ( $this->options[ 'icon_set' ] == 'default' )
				return $path;

			return plugin_dir_url( __FILE__ ) . "../icons-premium/" . $this->options[ 'icon_set' ] .
			       '/everlightbox-' . $this->options[ 'icon_set' ] . '-icons';
		}

		return $path;
	}

	public function add_field($options) {

		$options->add_field( array(
		    'name'    => 'Icon set',
		    'desc'	  => '',
		    'id'      => 'icon_set',
		    'type'    => 'select',
		    'show_option_none' => false,
		    'default' => 'light',
		    'options' => $this->icons,
		    'row_classes' => 'el-tab-1'
		) );

		return $options;
	}

	public function deactivate() {
		$options = get_option('everlightbox_options');
		$options['icon_set'] = 'default';
		update_option('everlightbox_options', $options);
	}

}

$everlightboxIconSets = new Everlightbox_Icon_Sets();
register_deactivation_hook( __FILE__, array($everlightboxIconSets, 'deactivate' ));