<?php

define("EVERLIGHTBOX_THEME1_VERSION", "1.0.0");


class Everlightbox_Theme_Pack1 {

	protected $options = null;

	protected $themes = null;

	public function __construct( ) {

		$this->themes = array(
			'tp1-venus' 	=> 'Theme Venus',
			'tp1-mars'      => 'Theme Mars',
			'tp1-jupiter'   => 'Theme Jupiter'
		);

		add_filter( 'everlightbox_theme_options', array($this, 'add_themes_options'));

		add_action( 'admin_enqueue_scripts', array($this, 'admin_script') );
		add_action( 'wp_enqueue_scripts', array($this, 'enqueue_script'), 9 );

		$this->options = get_option('everlightbox_options');
	}

	public function admin_script() {
		wp_enqueue_script( 'everlightbox-theme-pack1', EVERLIGHTBOX_URL . 'includes-premium/js/admin.js', array( 'jquery' ), EVERLIGHTBOX_THEME1_VERSION, false );
	}


	public function add_themes_options($themes) {
		
		foreach ($this->themes as $k => $v) {
			$themes[$k] = $v;
		}

		return $themes;
	}

	public function enqueue_script() {
		if(in_array($this->options['theme'], array_keys($this->themes)))
		{
			$slug = 'everlightbox-theme-pack-' . $this->options['theme'];
			wp_register_style($slug, EVERLIGHTBOX_URL . 'includes-premium/css/'. $this->options['theme'] .'.css', 
				array('everlightbox'), 
				EVERLIGHTBOX_THEME1_VERSION);

        	wp_enqueue_style($slug);

        	wp_register_script( $slug, EVERLIGHTBOX_URL . 'includes-premium/js/everlightbox-'.$this->options['theme'].'.js', array( 'jquery', 'everlightbox' ), EVERLIGHTBOX_THEME1_VERSION, true );
			wp_enqueue_script( $slug );
		}
	}
}

$everlightboxThemePack1 = new Everlightbox_Theme_Pack1();